Contact Us      Sign Up      Login
To use the library in an Android application, a few steps must be performed.

If you are not using Gradle you can do the manual integration. We have tested compatibility with version 1.3.0 of the Android Gradle plugin.

Step 1: Get The Library

Once you log in to our dashboard, download the library under the “Developer Tools” tab.

Step 2: Implement Plot_v_.aar

Place the file Plot_v_<version>.aar in the libs folder of your app project. If the project doesn’t have a folder named libs yet, then create the folder.


Add it to your project dependencies. Replace the version in the filename with the version of your plugin.

repositories {
   flatDir {
     dirs "libs"
dependencies {
   compile name:'plot_v_1_11_0_beta', ext: 'aar'
Step 3: Set minSdkVersion

Set the minSdkVersion version to at least 8. When using Gradle you can do that by changing build.gradle in the folder of your app.

defaultConfig {
    applicationId "com.myplotapplication"
    minSdkVersion 9
    targetSdkVersion 22
    versionCode 1
    versionName "1.0"
Step 4: Define configuration file

Plot uses a configuration file which you have to define as plotconfig.json in your assets folder.

An example of such a config file can be found on our dashboard, as well as the public token you will have to use.

    "publicToken": "REPLACE_ME",
    "enableOnFirstRun": true
Step 5: Almost done!

Call Plot.init(context) to initialize the library from your main Activity.

When calling init from an activity, you can use the this keyword as the first parameter.

public class MyActivity extends Activity {
    protected void onCreate(Bundle savedInstanceState) {

An example configuration file and your public token can be found on the Download page on our dashboard.You are now ready to receive your first notification. Need more help during testing, look at this guide.

For more details, look at the extensive documentation.